 
## kissdx.conf
## kissdx Serveur, fichier de configuration
## Traduction Morel Gilles (http://www.saturne.abeille.com/site/kiss_info/)


## --------------------- Emplacement des ressources Video Audio Images -------------------

# Localisation des Ressources multimedia, liste des repertoires
# pour chaque type de ressources multimedia:

audiopath	=	/opt/kissdx/audio
videopath	=	/opt/kissdx/films
picturepath	=	/opt/kissdx/images


## Filtrage des extensions de fichiers multimedia liste et envoyer au terminal KISS
## les listes doivent etre separe par des virgules, sans espace, sensible a la casse
## En cas d'omission,tous les fichiers correspondant au differents repertoires seront 
## listes et envoyes au terminal Kiss.

audiofileextensions = mp3,ogg,wma,wav
videofileextensions = mpg,mpeg,vob,avi,wmv,ts,mp4
picturefileextensions = jpg,jpeg,png,bmp 


## Liste des extensions des fichiers Images a gerer.
## la listes doivent etre separee par des virgules, sans espace, sensible a la casse
## Sans cette option, seul les fichiers .iso seront interpretes en image ISO
isofileextensions		= iso,img



## --------------------- Cache et retaillage des images ----------------------------------------

## Une toute nouvelle fonctionnalite de kissdx : le cache des images
## Indiquer l'emplacement si dessous , du repertoire de cache.
## Si l'option est omise, le kissdx utilisera le repertoire picturepath (ci-dessus) pour ce stockage.

persistentstoragepath = /opt/tmp

## Indiquer la taille Maximum du cache
## Par default l'option est 0 pour arreter le cache.
## La valeur -1 permet un cache illimite.

picturecachesize = -1


## Les scripts "pre" et "post-triggers", sont appeles avant et apres (respectivement)
## l'utilisation d'un GET ou d'un SIZE. Ces scripts necessitent/prennent un fichier 
## en argument d'entree et doivent retourner le nouveau fichier sur la sortie standard
## ainsi qu'un status de sortie 0 pour continuer normalement.
## Un status de sortie different de "0" engendre un plantage de la fonction appelee (GET ou SIZE).
## Note :le script kissd-pretrigger s'appuie de la commande convert de ImageMagick 
## Pour l'installer sous Debian : apt-get install imagemagick
## Vous trouverez ces scripts dans kissdx-0.13-10a.zip
## Renseigner ci-dessous l'emplacement de ses 2 scripts

#pretrigger = /opt/kissdx/kissd-pretrigger
#posttrigger = /opt/kissdx/kissd-posttrigger



## Les options de retaillage des images (Longeur / largeur et ZOOM en pourcentage)
## specifier les 2 premieres valeurs pour mettre en marche le retaillage d'image.
picturetargetwidth	= 720
picturetargetheight	= 576
picturemaxzoompercent	= 20

## Intervalle minimum (en minutes) entre chaque reduction de la taille du cache de l'image mise a l'echelle,
## reduit a la taille maximale definie par picturecachesize.
## La valeur par defaut est 5 minutes. = Plus grand nombre pour de meilleures performances.
## Si definie a 0, taille de cache maximale sera appliquee chaque fois qu'une image est regardee,
## donnant potentiellement tres mauvaise performance s'il est combine avec un grand picturecachesize.

# picturecachetrimminginterval = 5

# ---------------------------------- Sous titres ---------------------------------

## Formatage des sous-titre
## kissdx enverra jusqu'a 7 sous-titres des fichiers qui correspondent au format apres la "colonne".
## Ce format peut contenir les variables si dessous, relatifs aux differents fichiers mutimedia
##   {name} = Nom du fichier sans l'extension (utilise par default)
##   {ext}  = extension
##   {path} = chemin (a gauche du nom de fichier, pas de barre oblique finale)
## Si ce parametre est omis, une valeur de "*: (nom }*.*" est pris en charge.

subtitlefilemapping		= *:{name}*.*


## ---------------------------------- KML ---------------------------------

## URL de redirection

kmlurl		=	http://tinystocks.com/k/kiss.php


## ---------------------------------------------------------------------


## Nombre Maximum d'entre dans la liste des derniers fichiers charges
##(30 fichiers par default, mettre 0 pour desactiver la fonction)

#max_recent_files = 30

## Jeux de caracteres pour la conversion entre le serveur et le client Kiss
## (preciser les deux, sinon la conversion n'aura pas lieu)
## NOTE:  Pour obtenir des jeux de caracteres sur un systeme NSLU2:  ipkg install gconv-modules

#server_character_set	= CP850
#client_character_set	= ISO-8859-1



## Un delai de temporisation (en secondes) peut etre configure pour nettoyer l'attente des processus.
## Necessaire seulement si le lecteur KiSS ne ferme pas correctement toutes les connexions 
## (qui semble se produire lors de la lecture audio Ogg Vorbis
## des fichiers sur un DP-600 avec firmware 3.0.34.)
## Pas d'option ou une valeur de 0 ou moins de delai permet de desactiver la verification. 

#networktimeoutinterval = 3600


## Specification enablehiddenfilestext = gui-texte mettra a la disposition un pseudo-fichier 
## dans le dossier racine des photos avec ce nom: "gui-text.jpeg"
## Lors de la selection de ce fichier sur le lecteur, la possibilite de visualiser
## le contenu cache sera bascule actif / inactif, et une image qui decrit
## le nouvel etat (active ou desactive) s'affiche.

#enablehiddenfilestext = Toggle all files status

## Si enablehiddenfilestext est specifie, alors enablehiddenfilesminutes peut etre specifie
## pour fixer un delai de temporisation de n.
## Si c'est le cas, alors n minutes apres l'affichage de contenu en cache soit active,
## il sera automatiquement bascule en desactive.

#enablehiddenfilesminutes = 1


## fin du fichier
